commit:     4d9805854edcd0f03423851a5c9075e936e96150
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 12 14:28:14 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 14:30:51 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d980585

media-gfx/shotwell: Fix for no matching linguas

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 media-gfx/shotwell/shotwell-0.22.0-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-gfx/shotwell/shotwell-0.22.0-r1.ebuild 
b/media-gfx/shotwell/shotwell-0.22.0-r1.ebuild
index b41ec6e..8d0369b 100644
--- a/media-gfx/shotwell/shotwell-0.22.0-r1.ebuild
+++ b/media-gfx/shotwell/shotwell-0.22.0-r1.ebuild
@@ -79,6 +79,7 @@ pkg_setup() {
 
 src_prepare() {
        local x
+       local linguas="en_GB ${LINGUAS}"
        vala_src_prepare
        sed \
                -e 's|CFLAGS :|CFLAGS +|g' \
@@ -88,11 +89,10 @@ src_prepare() {
 
        # remove disabled lenguages from build
        for x in ${CORE_SUPPORTED_LANGUAGES}; do
-               if ! has ${x} ${LINGUAS}; then
+               if ! has ${x} ${linguas}; then
                        sed -i "/^${x}$/d" "${S}"/po/LINGUAS || die
                fi
        done
-       echo en_GB >> "${S}"/po/LINGUAS
 }
 
 src_configure() {

Reply via email to